Subject: [PATCH v2 00/16] gnu: Add KaTeX, lessc, and flow-remove-types.

From: Philip McGrath <[email-masked]>
Date: Thu, 16 Nov 2023 14:15:38 -0500

Hi,

Here is a v2.

Other than rebasing, the only change is in 03/16, in which I've fixed
do-not-target-es5 as I explained in <https://issues.guix.gnu.org/67019#20>.

I've not made other whitespace changes, as I still prefer this to the other
options we've discussed, but, Liliana, feel free to adjust it to your liking
if you feel this is otherwise ready to merge.

Philip

Philip McGrath (16):
  gnu: Add node-is-what.
  gnu: Add node-copy-anything.
  gnu: Add lessc.
  gnu: Add ocaml-wtf8.
  gnu: Add ocaml-visitors.
  gnu: Add ocaml-ppx-gen-rec.
  gnu: Add ocaml-dtoa.
  gnu: Add node-vlq.
  gnu: Add ocaml-flow-parser.
  gnu: Add node-flow-parser.
  gnu: Add flow-remove-types.
  gnu: js-commander: Update to 11.1.0.
  gnu: js-commander: Install as a node module.
  gnu: Add mftrace.
  gnu: Add font-katex.
  gnu: Add katex.

 gnu/packages/fontutils.scm  |  45 +++++
 gnu/packages/javascript.scm | 381 ++++++++++++++++++++++++++++++++++--
 gnu/packages/node-xyz.scm   | 220 +++++++++++++++++++++
 gnu/packages/ocaml.scm      |  99 ++++++++++
 gnu/packages/web.scm        | 381 ++++++++++++++++++++++++++++++++++++
 5 files changed, 1109 insertions(+), 17 deletions(-)

base-commit: fc6bdaad57bf91609849623c5f485403c030cb49
-- 
2.41.0